> ## Documentation Index
> Fetch the complete documentation index at: https://docs.borderless.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Webhook Settings by id

> Retrieve a Webhook Settings by its unique identification. Returns 404 if the Webhook Settings does not exist.



## OpenAPI

````yaml https://sandbox-api.borderless.xyz/v1/api-json get /v1/notifications/webhooks/settings/{id}
openapi: 3.0.0
info:
  title: Borderless API
  description: The Borderless API documentation.
  version: '1.0'
  contact: {}
servers:
  - url: https://sandbox-api.borderless.xyz
security: []
tags: []
paths:
  /v1/notifications/webhooks/settings/{id}:
    get:
      tags:
        - Webhooks
      summary: Get a Webhook Settings by id
      description: >-
        Retrieve a Webhook Settings by its unique identification. Returns 404 if
        the Webhook Settings does not exist.
      operationId: SettingsController_get
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: Successfully retrieved Webhook Settings data.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookSettingsEntity'
        '404':
          description: The Webhook Settings with the specified id does not exist.
      security:
        - bearer: []
components:
  schemas:
    WebhookSettingsEntity:
      type: object
      properties:
        id:
          type: string
        url:
          type: string
        enabled:
          type: boolean
        createdAt:
          format: date-time
          type: string
        updatedAt:
          format: date-time
          type: string
      required:
        - id
        - url
        - enabled
        - createdAt
        - updatedAt
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````